SplFixedArray::__construct
SplFixedArray::current
SplFixedArray
PHP Manual

# SplFixedArray::count

(PHP 5 >= 5.3.0)

SplFixedArray::count — Returns the size of the array

### Description

public int SplFixedArray::count ( void )

Returns the size of the array.

### Parameters

This function has no parameters.

### Return Values

Returns the size of the array.

### Examples

Example #1 SplFixedArray::count() example

`<?php
$array = new SplFixedArray(5);
echo $array->count() . "\n";
echo count($array) . "\n";
?>`

The above example will output:

    5
    5

### Notes

> Note:

> This method is functionally equivalent to SplFixedArray::getSize().

> Note:

> The count of elements is always equal to the set size because all values are initially initialized with `NULL`.

### See Also

- SplFixedArray::getSize() - Gets the size of the array

SplFixedArray::__construct
SplFixedArray::current
SplFixedArray
PHP Manual